io.agora.rtc

## Class SenderOptions

- java.lang.Object
- - io.agora.rtc.SenderOptions

-     public class SenderOptions
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `ccMode`
    `private int` | `codecType`
    `private int` | `targetBitrate`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SenderOptions()`
    `SenderOptions(int ccMode, int codecType, int targetBitrate)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCcMode()`
    `int` | `getCodecType()`
    `int` | `getTargetBitrate()`
    `void` | `setCcMode(int ccMode)`
    `void` | `setCodecType(int codecType)`
    `void` | `setTargetBitrate(int targetBitrate)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### ccMode

          private int ccMode

    - #### codecType

          private int codecType

    - #### targetBitrate

          private int targetBitrate

  - ### Constructor Detail

    - #### SenderOptions

          public SenderOptions()

    - #### SenderOptions

          public SenderOptions(int ccMode,
                               int codecType,
                               int targetBitrate)

  - ### Method Detail

    - #### getCcMode

          public int getCcMode()

    - #### setCcMode

          public void setCcMode(int ccMode)

    - #### getCodecType

          public int getCodecType()

    - #### setCodecType

          public void setCodecType(int codecType)

    - #### getTargetBitrate

          public int getTargetBitrate()

    - #### setTargetBitrate

          public void setTargetBitrate(int targetBitrate)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`